package ink.wgink.service.department.pojo.dtos;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;

/**
 * When you feel like quitting. Think about why you started
 * 当你想要放弃的时候，想想当初你为何开始
 *
 * @ClassName: UserDepartmentLogDTO
 * @Description: 用户部门日志
 * @Author: WangGeng
 * @Date: 2020/7/22 12:53 下午
 * @Version: 1.0
 **/
@ApiModel
public class DepartmentUserAdjustmentDTO implements Serializable {

    private static final long serialVersionUID = -7519233242842566624L;
    @ApiModelProperty(name = "userName", value = "用户名称")
    private String userName;
    @ApiModelProperty(name = "departmentName", value = "部门名称")
    private String departmentName;
    @ApiModelProperty(name = "adjustmentType", value = "修改类型")
    private String adjustmentType;
    @ApiModelProperty(name = "gmtCreate", value = "创建时间")
    private String gmtCreate;
    @ApiModelProperty(name = "creatorName", value = "创建人")
    private String creatorName;

    public String getUserName() {
        return userName == null ? "" : userName.trim();
    }

    public void setUserName(String userName) {
        this.userName = userName;
    }

    public String getDepartmentName() {
        return departmentName == null ? "" : departmentName.trim();
    }

    public void setDepartmentName(String departmentName) {
        this.departmentName = departmentName;
    }

    public String getAdjustmentType() {
        return adjustmentType == null ? "" : adjustmentType.trim();
    }

    public void setAdjustmentType(String adjustmentType) {
        this.adjustmentType = adjustmentType;
    }

    public String getGmtCreate() {
        return gmtCreate == null ? "" : gmtCreate.trim();
    }

    public void setGmtCreate(String gmtCreate) {
        this.gmtCreate = gmtCreate;
    }

    public String getCreatorName() {
        return creatorName == null ? "" : creatorName.trim();
    }

    public void setCreatorName(String creatorName) {
        this.creatorName = creatorName;
    }

    @Override
    public String toString() {
        final StringBuilder sb = new StringBuilder("{");
        sb.append("\"userName\":")
                .append("\"").append(userName).append("\"");
        sb.append(",\"departmentName\":")
                .append("\"").append(departmentName).append("\"");
        sb.append(",\"adjustmentType\":")
                .append("\"").append(adjustmentType).append("\"");
        sb.append(",\"gmtCreate\":")
                .append("\"").append(gmtCreate).append("\"");
        sb.append(",\"creatorName\":")
                .append("\"").append(creatorName).append("\"");
        sb.append('}');
        return sb.toString();
    }
}
